Package com.google.protobuf

# Interface ValueOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Value`, `Value.Builder`

public interface ValueOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoolValue()`
`bool bool_value = 4 [json_name = "boolValue"];`
`Value.KindCase`
`getKindCase()`
`ListValue`
`getListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`ListValueOrBuilder`
`getListValueOrBuilder()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`NullValue`
`getNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`int`
`getNullValueValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`double`
`getNumberValue()`
`double number_value = 2 [json_name = "numberValue"];`
`String`
`getStringValue()`
`string string_value = 3 [json_name = "stringValue"];`
`ByteString`
`getStringValueBytes()`
`string string_value = 3 [json_name = "stringValue"];`
`Struct`
`getStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`StructOrBuilder`
`getStructValueOrBuilder()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`boolean`
`hasBoolValue()`
`bool bool_value = 4 [json_name = "boolValue"];`
`boolean`
`hasListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`boolean`
`hasNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`boolean`
`hasNumberValue()`
`double number_value = 2 [json_name = "numberValue"];`
`boolean`
`hasStringValue()`
`string string_value = 3 [json_name = "stringValue"];`
`boolean`
`hasStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasNullValue

boolean hasNullValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Returns:
  Whether the nullValue field is set.

### getNullValueValue

int getNullValueValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Returns:
  The enum numeric value on the wire for nullValue.

### getNullValue

NullValue getNullValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Returns:
  The nullValue.

### hasNumberValue

boolean hasNumberValue()
`double number_value = 2 [json_name = "numberValue"];`

Returns:
  Whether the numberValue field is set.

### getNumberValue

double getNumberValue()
`double number_value = 2 [json_name = "numberValue"];`

Returns:
  The numberValue.

### hasStringValue

boolean hasStringValue()
`string string_value = 3 [json_name = "stringValue"];`

Returns:
  Whether the stringValue field is set.

### getStringValue

String getStringValue()
`string string_value = 3 [json_name = "stringValue"];`

Returns:
  The stringValue.

### getStringValueBytes

ByteString getStringValueBytes()
`string string_value = 3 [json_name = "stringValue"];`

Returns:
  The bytes for stringValue.

### hasBoolValue

boolean hasBoolValue()
`bool bool_value = 4 [json_name = "boolValue"];`

Returns:
  Whether the boolValue field is set.

### getBoolValue

boolean getBoolValue()
`bool bool_value = 4 [json_name = "boolValue"];`

Returns:
  The boolValue.

### hasStructValue

boolean hasStructValue()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

Returns:
  Whether the structValue field is set.

### getStructValue

Struct getStructValue()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

Returns:
  The structValue.

### getStructValueOrBuilder

StructOrBuilder getStructValueOrBuilder()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### hasListValue

boolean hasListValue()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

Returns:
  Whether the listValue field is set.

### getListValue

ListValue getListValue()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

Returns:
  The listValue.

### getListValueOrBuilder

ListValueOrBuilder getListValueOrBuilder()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

### getKindCase

Value.KindCase getKindCase()